Loading...
Searching...
No Matches
caf::io::network::manager Class Reference

A manager configures an I/O device and provides callbacks for various I/O operations. More...

`#include <manager.hpp>`

Inheritance diagram for caf::io::network::manager:

## Public Member Functions

void | set_parent (abstract_broker *ptr)
| Sets the parent for this manager.
abstract_broker * | parent ()
| Returns the parent broker of this manager.
bool | detached () const
| Returns true if this manager has a parent, false otherwise.
Public Member Functions inherited from caf::ref_counted
| ref_counted (const ref_counted &)
ref_counted & | operator= (const ref_counted &)
void | ref () const noexcept
| Increases reference count by one.
void | deref () const noexcept
| Decreases reference count by one and calls request_deletion when it drops to zero.
bool | unique () const noexcept
| Queries whether there is exactly one reference.
size_t | get_reference_count () const noexcept

## Additional Inherited Members

Protected Attributes inherited from caf::ref_counted
std::atomic< size_t > | rc_
Related Symbols inherited from caf::ref_counted
void | intrusive_ptr_add_ref (const ref_counted *p)
void | intrusive_ptr_release (const ref_counted *p)

## Detailed Description

A manager configures an I/O device and provides callbacks for various I/O operations.

## Member Function Documentation

## set_parent()

void caf::io::network::manager::set_parent | ( | abstract_broker * | ptr | ) |

Sets the parent for this manager.

Precondition
  parent() == nullptr

The documentation for this class was generated from the following file:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_io/caf/io/network/manager.hpp